/**
 * DevExtreme (bundles/__internal/scheduler/m_data_structures.js)
 * Version: 23.2.3 (build 24011-0114)
 * Build date: Thu Jan 11 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.AppointmentTooltipInfo = void 0;
let AppointmentTooltipInfo = function(appointment) {
    let targetedAppointment = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : void 0;
    let color = arguments.length > 2 && void 0 !== arguments[2] ? arguments[2] : [];
    let settings = arguments.length > 3 && void 0 !== arguments[3] ? arguments[3] : [];
    this.appointment = appointment;
    this.targetedAppointment = targetedAppointment;
    this.color = color;
    this.settings = settings
};
exports.AppointmentTooltipInfo = AppointmentTooltipInfo;
