/**
 * DevExtreme (esm/__internal/scheduler/workspaces/view_model/m_view_data_generator_week.js)
 * Version: 23.2.3 (build 24011-0114)
 * Build date: Thu Jan 11 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    calculateStartViewDate,
    getIntervalDuration
} from "../../../../renovation/ui/scheduler/view_model/to_test/views/utils/week";
import {
    ViewDataGenerator
} from "./m_view_data_generator";
export class ViewDataGeneratorWeek extends ViewDataGenerator {
    constructor() {
        super(...arguments);
        this.daysInInterval = 7
    }
    _getIntervalDuration(intervalCount) {
        return getIntervalDuration(intervalCount)
    }
    _calculateStartViewDate(options) {
        return calculateStartViewDate(options.currentDate, options.startDayHour, options.startDate, this._getIntervalDuration(options.intervalCount), this.getFirstDayOfWeek(options.firstDayOfWeek))
    }
}
