/**
 * DevExtreme (esm/renovation/utils/getThemeType.js)
 * Version: 23.2.3 (build 24011-0114)
 * Build date: Thu Jan 11 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    isMaterialBased,
    isFluent,
    isMaterial,
    isCompact,
    current
} from "../../ui/themes";
var getThemeType = () => {
    var theme = current();
    return {
        isCompact: isCompact(theme),
        isMaterial: isMaterial(theme),
        isFluent: isFluent(theme),
        isMaterialBased: isMaterialBased(theme)
    }
};
export default getThemeType;
