/**
 * DevExtreme (esm/__internal/grids/tree_list/m_master_detail.js)
 * Version: 23.2.3 (build 24011-0114)
 * Build date: Thu Jan 11 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    extend
} from "../../../core/utils/extend";
import {
    masterDetailModule
} from "../../grids/grid_core/master_detail/m_master_detail";
import treeListCore from "./m_core";
treeListCore.registerModule("masterDetail", extend(true, {}, masterDetailModule, {
    extenders: {
        controllers: {
            data: {
                isRowExpanded() {
                    return this.callBase.apply(this, arguments)
                },
                _processItems() {
                    return this.callBase.apply(this, arguments)
                },
                _processDataItem() {
                    return this.callBase.apply(this, arguments)
                }
            }
        }
    }
}));
